function output = GenEndPoint_pendulum(input)

xf = input.phase.finalstate;
ns=input.auxdata.ns;
Qf=input.auxdata.Qf;

mf=xf(1:ns)';
cf=xf(ns+1:end)';
Qft=Qf';

output.objective = input.phase.integral + ...
                   input.auxdata.rescale*(mf'*Qf*mf + Qft(:)'*cf);

