function [xellip,yellip]=stiff2ell(C,XYc)
% plot an ellipse from stiffness matrix

tt=linspace(0,2*pi,100)';
x = cos(tt); y=sin(tt);
ap = [x(:) y(:)]';
[v,d]=eig(C); 
bp = (v*d*ap) + repmat(XYc, 1, size(ap,2)); 
xellip=bp(1,:);
yellip=bp(2,:);