function output = GenEndPoint_forearmflex(input)

x0 = input.phase.initialstate;
xf = input.phase.finalstate;
ns=input.auxdata.ns;
Qf=input.auxdata.Qf;

c0=x0(ns+1:end)';
cf=xf(ns+1:end)';
Qfel=Qf(triu(true(size(Qf))));

output.objective = input.phase.integral + ...
                   input.auxdata.rescale*(Qfel'*cf) ; 
             
output.eventgroup.event = (c0-cf) ;               
      